Package com.independentsoft.office.odf.styles

# Class PageLayoutProperties

java.lang.Object
com.independentsoft.office.odf.styles.PageLayoutProperties

public class PageLayoutProperties extends Object
Acts as a container for attributes and elements that define a page layout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageLayoutProperties()`
  Initializes a new instance of the PageLayoutProperties class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageLayoutProperties`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getBackgroundColor()`
  Gets the background color of the page layout.
  `BackgroundImage`
  `getBackgroundImage()`
  Gets the background image.
  `Border`
  `getBorder()`
  Gets the border of the page layout.
  `BorderLineWidth`
  `getBorderLineWidth()`
  Gets the widths of borders defined by the FO border properties for borders where the value of these properties is double.
  `Border`
  `getBottomBorder()`
  Gets the bottom border of the page layout.
  `BorderLineWidth`
  `getBottomBorderLineWidth()`
  Gets the widths of the bottom border for borders defined by the FO border properties if the property for the bottom border has the value double.
  `Size`
  `getBottomMargin()`
  Gets the bottom margin of the page layout.
  `Size`
  `getBottomPadding()`
  Gets the bottom padding of the page layout.
  `Size`
  `getColumnGap()`
  Gets the gap between columns.
  `List<SectionColumn>`
  `getColumns()`
  Gets a collection SectionColumn objects.
  `String`
  `getFirstPageNumber()`
  Gets the number of a document.
  `Size`
  `getFootnoteMaxHeight()`
  Gets the maximum amount of space on a page that a footnote can occupy.
  `FootnoteSeparator`
  `getFootnoteSeparator()`
  Gets the line that separates a footnote area from a body text area on a page.
  `Size`
  `getLayoutGridBaseHeight()`
  Gets the height reserved in layout grid lines for non-ruby text.
  `String`
  `getLayoutGridColor()`
  Gets the color of layout grid border lines.
  `int`
  `getLayoutGridLineCount()`
  Gets the number of layout grid lines per page.
  `LayoutGridMode`
  `getLayoutGridMode()`
  Enables Asian layout grids.
  `Size`
  `getLayoutGridRubyHeight()`
  Gets the height reserved in layout grid lines for ruby text.
  `Border`
  `getLeftBorder()`
  Gets the left border of the page layout.
  `BorderLineWidth`
  `getLeftBorderLineWidth()`
  Gets the widths of the left border for borders defined by the FO border properties if the property for the left border has the value double.
  `Size`
  `getLeftMargin()`
  Gets the left margin of the page layout.
  `Size`
  `getLeftPadding()`
  Gets the left padding of the page layout.
  `Size`
  `getMargin()`
  Gets the margin of the page layout.
  `String`
  `getNumberFormat()`
  Gets the numbering sequence.
  `String`
  `getNumberPrefix()`
  Specifies what to display before a number.
  `String`
  `getNumberSuffix()`
  Specifies what to display after a number.
  `Size`
  `getPadding()`
  Gets the padding of the page layout.
  `Size`
  `getPageHeight()`
  Gets the page height.
  `Size`
  `getPageWidth()`
  Gets the page width.
  `String`
  `getPaperTray()`
  Gets the paper tray to use when printing a document.
  `Print`
  `getPrint()`
  Gets the components in a spreadsheet document to print.
  `PrintOrientation`
  `getPrintOrientation()`
  Gets the orientation of the printed page.
  `PrintPageOrder`
  `getPrintPageOrder()`
  Gets the order in which data in a spreadsheet is numbered and printed when the data does not fit on one printed page.
  `String`
  `getRegisterTruth()`
  Gets the paragraph style.
  `Border`
  `getRightBorder()`
  Gets the right border of the page layout.
  `BorderLineWidth`
  `getRightBorderLineWidth()`
  Gets the widths of the right border for borders defined by the FO border properties if the property for the right border has the value double.
  `Size`
  `getRightMargin()`
  Gets the right margin of the page layout.
  `Size`
  `getRightPadding()`
  Gets the right padding of the page layout.
  `int`
  `getScaleTo()`
  Specifies that a document is to be scaled to a percentage value.
  `int`
  `getScaleToPages()`
  Gets the number of pages on which a document should be printed.
  `ColumnSeparator`
  `getSeparator()`
  Gets the separator line between columns.
  `String`
  `getShadow()`
  Gets the shadow effect.
  `TableCentering`
  `getTableCentering()`
  Specifies whether tables are centered horizontally and/or vertically on the page.
  `Border`
  `getTopBorder()`
  Gets the top border of the page layout.
  `BorderLineWidth`
  `getTopBorderLineWidth()`
  Gets the widths of the top border for borders defined by the FO border properties if the property for the top border has the value double.
  `Size`
  `getTopMargin()`
  Gets the top margin of the page layout.
  `Size`
  `getTopPadding()`
  Gets the top padding of the page layout.
  `WritingMode`
  `getWritingMode()`
  Gets the writing mode of the page.
  `boolean`
  `isLayoutGridDisplay()`
  Specifies whether layout grid border lines are displayed.
  `boolean`
  `isLayoutGridPrint()`
  Specifies whether layout grid border lines are printed.
  `boolean`
  `isLayoutGridRubyBelow()`
  Specifies whether ruby text is displayed above or below the base text.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color of the page layout.
  `void`
  `setBackgroundImage​(BackgroundImage backgroundImage)`
  Sets the background image.
  `void`
  `setBorder​(Border border)`
  Sets the border of the page layout.
  `void`
  `setBorderLineWidth​(BorderLineWidth borderLineWidth)`
  Sets the widths of borders defined by the FO border properties for borders where the value of these properties is double.
  `void`
  `setBottomBorder​(Border bottomBorder)`
  Sets the bottom border of the page layout.
  `void`
  `setBottomBorderLineWidth​(BorderLineWidth bottomBorderLineWidth)`
  Sets the widths of the bottom border for borders defined by the FO border properties if the property for the bottom border has the value double.
  `void`
  `setBottomMargin​(Size bottomMargin)`
  Sets the bottom margin of the page layout.
  `void`
  `setBottomPadding​(Size bottomPadding)`
  Sets the bottom padding of the page layout.
  `void`
  `setColumnGap​(Size columnGap)`
  Sets the gap between columns.
  `void`
  `setFirstPageNumber​(String firstPageNumber)`
  Sets the number of a document.
  `void`
  `setFootnoteMaxHeight​(Size footnoteMaxHeight)`
  Sets the maximum amount of space on a page that a footnote can occupy.
  `void`
  `setFootnoteSeparator​(FootnoteSeparator footnoteSeparator)`
  Sets the line that separates a footnote area from a body text area on a page.
  `void`
  `setLayoutGridBaseHeight​(Size layoutGridBaseHeight)`
  Sets the height reserved in layout grid lines for non-ruby text.
  `void`
  `setLayoutGridColor​(String layoutGridColor)`
  Sets the color of layout grid border lines.
  `void`
  `setLayoutGridDisplay​(boolean layoutGridDisplay)`
  Specifies whether layout grid border lines are displayed.
  `void`
  `setLayoutGridLineCount​(int layoutGridLineCount)`
  Sets the number of layout grid lines per page.
  `void`
  `setLayoutGridMode​(LayoutGridMode layoutGridMode)`
  Enables Asian layout grids.
  `void`
  `setLayoutGridPrint​(boolean layoutGridPrint)`
  Specifies whether layout grid border lines are printed.
  `void`
  `setLayoutGridRubyBelow​(boolean layoutGridRubyBelow)`
  Specifies whether ruby text is displayed above or below the base text.
  `void`
  `setLayoutGridRubyHeight​(Size layoutGridRubyHeight)`
  Sets the height reserved in layout grid lines for ruby text.
  `void`
  `setLeftBorder​(Border leftBorder)`
  Sets the left border of the page layout.
  `void`
  `setLeftBorderLineWidth​(BorderLineWidth leftBorderLineWidth)`
  Sets the widths of the left border for borders defined by the FO border properties if the property for the left border has the value double.
  `void`
  `setLeftMargin​(Size leftMargin)`
  Sets the left margin of the page layout.
  `void`
  `setLeftPadding​(Size leftPadding)`
  Sets the left padding of the page layout.
  `void`
  `setMargin​(Size margin)`
  Sets the margin of the page layout.
  `void`
  `setNumberFormat​(String numberFormat)`
  Sets the numbering sequence.
  `void`
  `setNumberPrefix​(String numberPrefix)`
  Specifies what to display before a number.
  `void`
  `setNumberSuffix​(String numberSuffix)`
  Specifies what to display after a number.
  `void`
  `setPadding​(Size padding)`
  Sets the padding of the page layout.
  `void`
  `setPageHeight​(Size pageHeight)`
  Sets the page height.
  `void`
  `setPageWidth​(Size pageWidth)`
  Sets the page width.
  `void`
  `setPaperTray​(String paperTray)`
  Sets the paper tray to use when printing a document.
  `void`
  `setPrint​(Print print)`
  Sets the components in a spreadsheet document to print.
  `void`
  `setPrintOrientation​(PrintOrientation printOrientation)`
  Sets the orientation of the printed page.
  `void`
  `setPrintPageOrder​(PrintPageOrder printPageOrder)`
  Sets the order in which data in a spreadsheet is numbered and printed when the data does not fit on one printed page.
  `void`
  `setRegisterTruth​(String registerTruth)`
  Sets the paragraph style.
  `void`
  `setRightBorder​(Border rightBorder)`
  Sets the right border of the page layout.
  `void`
  `setRightBorderLineWidth​(BorderLineWidth rightBorderLineWidth)`
  Sets the widths of the right border for borders defined by the FO border properties if the property for the right border has the value double.
  `void`
  `setRightMargin​(Size rightMargin)`
  Sets the right margin of the page layout.
  `void`
  `setRightPadding​(Size rightPadding)`
  Sets the right padding of the page layout.
  `void`
  `setScaleTo​(int scaleTo)`
  Specifies that a document is to be scaled to a percentage value.
  `void`
  `setScaleToPages​(int scaleToPages)`
  Sets the number of pages on which a document should be printed.
  `void`
  `setSeparator​(ColumnSeparator separator)`
  Sets the separator line between columns.
  `void`
  `setShadow​(String shadow)`
  Sets the shadow effect.
  `void`
  `setTableCentering​(TableCentering tableCentering)`
  Specifies whether tables are centered horizontally and/or vertically on the page.
  `void`
  `setTopBorder​(Border topBorder)`
  Sets the top border of the page layout.
  `void`
  `setTopBorderLineWidth​(BorderLineWidth topBorderLineWidth)`
  Sets the widths of the top border for borders defined by the FO border properties if the property for the top border has the value double.
  `void`
  `setTopMargin​(Size topMargin)`
  Sets the top margin of the page layout.
  `void`
  `setTopPadding​(Size topPadding)`
  Sets the top padding of the page layout.
  `void`
  `setWritingMode​(WritingMode writingMode)`
  Sets the writing mode of the page.
  `String`
  `toString()`
  Converts the value of the current PageLayoutProperties object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageLayoutProperties

    public PageLayoutProperties()
    Initializes a new instance of the PageLayoutProperties class.

- ## Method Details

  - ### clone

    public PageLayoutProperties clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current PageLayoutProperties object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getFootnoteSeparator

    public FootnoteSeparator getFootnoteSeparator()
    Gets the line that separates a footnote area from a body text area on a page.
    Returns:
      the footnote separator

  - ### setFootnoteSeparator

    public void setFootnoteSeparator​(FootnoteSeparator footnoteSeparator)
    Sets the line that separates a footnote area from a body text area on a page.
    Parameters:
      `footnoteSeparator` - the new footnote separator

  - ### getSeparator

    public ColumnSeparator getSeparator()
    Gets the separator line between columns.
    Returns:
      the separator

  - ### setSeparator

    public void setSeparator​(ColumnSeparator separator)
    Sets the separator line between columns.
    Parameters:
      `separator` - the new separator

  - ### getColumnGap

    public Size getColumnGap()
    Gets the gap between columns.
    Returns:
      the column gap

  - ### setColumnGap

    public void setColumnGap​(Size columnGap)
    Sets the gap between columns.
    Parameters:
      `columnGap` - the new column gap

  - ### getColumns

    public List<SectionColumn> getColumns()
    Gets a collection SectionColumn objects.
    Returns:
      the columns

  - ### getPageWidth

    public Size getPageWidth()
    Gets the page width.
    Returns:
      the page width

  - ### setPageWidth

    public void setPageWidth​(Size pageWidth)
    Sets the page width.
    Parameters:
      `pageWidth` - the new page width

  - ### getPageHeight

    public Size getPageHeight()
    Gets the page height.
    Returns:
      the page height

  - ### setPageHeight

    public void setPageHeight​(Size pageHeight)
    Sets the page height.
    Parameters:
      `pageHeight` - the new page height

  - ### getNumberFormat

    public String getNumberFormat()
    Gets the numbering sequence.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(String numberFormat)
    Sets the numbering sequence.
    Parameters:
      `numberFormat` - the new number format

  - ### getNumberPrefix

    public String getNumberPrefix()
    Specifies what to display before a number.
    Returns:
      the number prefix

  - ### setNumberPrefix

    public void setNumberPrefix​(String numberPrefix)
    Specifies what to display before a number.
    Parameters:
      `numberPrefix` - the new number prefix

  - ### getNumberSuffix

    public String getNumberSuffix()
    Specifies what to display after a number.
    Returns:
      the number suffix

  - ### setNumberSuffix

    public void setNumberSuffix​(String numberSuffix)
    Specifies what to display after a number.
    Parameters:
      `numberSuffix` - the new number suffix

  - ### getPaperTray

    public String getPaperTray()
    Gets the paper tray to use when printing a document. The names assigned to the paper trays depends upon the printer.
    Returns:
      the paper tray

  - ### setPaperTray

    public void setPaperTray​(String paperTray)
    Sets the paper tray to use when printing a document. The names assigned to the paper trays depends upon the printer.
    Parameters:
      `paperTray` - the new paper tray

  - ### getPrintOrientation

    public PrintOrientation getPrintOrientation()
    Gets the orientation of the printed page. The value of this attribute can be portrait or landscape.
    Returns:
      the prints the orientation

  - ### setPrintOrientation

    public void setPrintOrientation​(PrintOrientation printOrientation)
    Sets the orientation of the printed page. The value of this attribute can be portrait or landscape.
    Parameters:
      `printOrientation` - the new prints the orientation

  - ### getMargin

    public Size getMargin()
    Gets the margin of the page layout.
    Returns:
      the margin

  - ### setMargin

    public void setMargin​(Size margin)
    Sets the margin of the page layout.
    Parameters:
      `margin` - the new margin

  - ### getLeftMargin

    public Size getLeftMargin()
    Gets the left margin of the page layout.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(Size leftMargin)
    Sets the left margin of the page layout.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public Size getRightMargin()
    Gets the right margin of the page layout.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(Size rightMargin)
    Sets the right margin of the page layout.
    Parameters:
      `rightMargin` - the new right margin

  - ### getTopMargin

    public Size getTopMargin()
    Gets the top margin of the page layout.
    Returns:
      the top margin

  - ### setTopMargin

    public void setTopMargin​(Size topMargin)
    Sets the top margin of the page layout.
    Parameters:
      `topMargin` - the new top margin

  - ### getBottomMargin

    public Size getBottomMargin()
    Gets the bottom margin of the page layout.
    Returns:
      the bottom margin

  - ### setBottomMargin

    public void setBottomMargin​(Size bottomMargin)
    Sets the bottom margin of the page layout.
    Parameters:
      `bottomMargin` - the new bottom margin

  - ### getBorder

    public Border getBorder()
    Gets the border of the page layout.
    Returns:
      the border

  - ### setBorder

    public void setBorder​(Border border)
    Sets the border of the page layout.
    Parameters:
      `border` - the new border

  - ### getLeftBorder

    public Border getLeftBorder()
    Gets the left border of the page layout.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(Border leftBorder)
    Sets the left border of the page layout.
    Parameters:
      `leftBorder` - the new left border

  - ### getRightBorder

    public Border getRightBorder()
    Gets the right border of the page layout.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(Border rightBorder)
    Sets the right border of the page layout.
    Parameters:
      `rightBorder` - the new right border

  - ### getTopBorder

    public Border getTopBorder()
    Gets the top border of the page layout.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(Border topBorder)
    Sets the top border of the page layout.
    Parameters:
      `topBorder` - the new top border

  - ### getBottomBorder

    public Border getBottomBorder()
    Gets the bottom border of the page layout.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(Border bottomBorder)
    Sets the bottom border of the page layout.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getBorderLineWidth

    public BorderLineWidth getBorderLineWidth()
    Gets the widths of borders defined by the FO border properties for borders where the value of these properties is double.
    Returns:
      the border line width

  - ### setBorderLineWidth

    public void setBorderLineWidth​(BorderLineWidth borderLineWidth)
    Sets the widths of borders defined by the FO border properties for borders where the value of these properties is double.
    Parameters:
      `borderLineWidth` - the new border line width

  - ### getLeftBorderLineWidth

    public BorderLineWidth getLeftBorderLineWidth()
    Gets the widths of the left border for borders defined by the FO border properties if the property for the left border has the value double.
    Returns:
      the left border line width

  - ### setLeftBorderLineWidth

    public void setLeftBorderLineWidth​(BorderLineWidth leftBorderLineWidth)
    Sets the widths of the left border for borders defined by the FO border properties if the property for the left border has the value double.
    Parameters:
      `leftBorderLineWidth` - the new left border line width

  - ### getRightBorderLineWidth

    public BorderLineWidth getRightBorderLineWidth()
    Gets the widths of the right border for borders defined by the FO border properties if the property for the right border has the value double.
    Returns:
      the right border line width

  - ### setRightBorderLineWidth

    public void setRightBorderLineWidth​(BorderLineWidth rightBorderLineWidth)
    Sets the widths of the right border for borders defined by the FO border properties if the property for the right border has the value double.
    Parameters:
      `rightBorderLineWidth` - the new right border line width

  - ### getTopBorderLineWidth

    public BorderLineWidth getTopBorderLineWidth()
    Gets the widths of the top border for borders defined by the FO border properties if the property for the top border has the value double.
    Returns:
      the top border line width

  - ### setTopBorderLineWidth

    public void setTopBorderLineWidth​(BorderLineWidth topBorderLineWidth)
    Sets the widths of the top border for borders defined by the FO border properties if the property for the top border has the value double.
    Parameters:
      `topBorderLineWidth` - the new top border line width

  - ### getBottomBorderLineWidth

    public BorderLineWidth getBottomBorderLineWidth()
    Gets the widths of the bottom border for borders defined by the FO border properties if the property for the bottom border has the value double.
    Returns:
      the bottom border line width

  - ### setBottomBorderLineWidth

    public void setBottomBorderLineWidth​(BorderLineWidth bottomBorderLineWidth)
    Sets the widths of the bottom border for borders defined by the FO border properties if the property for the bottom border has the value double.
    Parameters:
      `bottomBorderLineWidth` - the new bottom border line width

  - ### getPadding

    public Size getPadding()
    Gets the padding of the page layout.
    Returns:
      the padding

  - ### setPadding

    public void setPadding​(Size padding)
    Sets the padding of the page layout.
    Parameters:
      `padding` - the new padding

  - ### getLeftPadding

    public Size getLeftPadding()
    Gets the left padding of the page layout.
    Returns:
      the left padding

  - ### setLeftPadding

    public void setLeftPadding​(Size leftPadding)
    Sets the left padding of the page layout.
    Parameters:
      `leftPadding` - the new left padding

  - ### getRightPadding

    public Size getRightPadding()
    Gets the right padding of the page layout.
    Returns:
      the right padding

  - ### setRightPadding

    public void setRightPadding​(Size rightPadding)
    Sets the right padding of the page layout.
    Parameters:
      `rightPadding` - the new right padding

  - ### getTopPadding

    public Size getTopPadding()
    Gets the top padding of the page layout.
    Returns:
      the top padding

  - ### setTopPadding

    public void setTopPadding​(Size topPadding)
    Sets the top padding of the page layout.
    Parameters:
      `topPadding` - the new top padding

  - ### getBottomPadding

    public Size getBottomPadding()
    Gets the bottom padding of the page layout.
    Returns:
      the bottom padding

  - ### setBottomPadding

    public void setBottomPadding​(Size bottomPadding)
    Sets the bottom padding of the page layout.
    Parameters:
      `bottomPadding` - the new bottom padding

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color of the page layout.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color of the page layout.
    Parameters:
      `backgroundColor` - the new background color

  - ### getShadow

    public String getShadow()
    Gets the shadow effect.
    Returns:
      the shadow

  - ### setShadow

    public void setShadow​(String shadow)
    Sets the shadow effect.
    Parameters:
      `shadow` - the new shadow

  - ### getRegisterTruth

    public String getRegisterTruth()
    Gets the paragraph style.
    Returns:
      the register truth

  - ### setRegisterTruth

    public void setRegisterTruth​(String registerTruth)
    Sets the paragraph style.
    Parameters:
      `registerTruth` - the new register truth

  - ### getPrint

    public Print getPrint()
    Gets the components in a spreadsheet document to print.
    Returns:
      the prints the

  - ### setPrint

    public void setPrint​(Print print)
    Sets the components in a spreadsheet document to print.
    Parameters:
      `print` - the new prints the

  - ### getPrintPageOrder

    public PrintPageOrder getPrintPageOrder()
    Gets the order in which data in a spreadsheet is numbered and printed when the data does not fit on one printed page.
    Returns:
      the prints the page order

  - ### setPrintPageOrder

    public void setPrintPageOrder​(PrintPageOrder printPageOrder)
    Sets the order in which data in a spreadsheet is numbered and printed when the data does not fit on one printed page.
    Parameters:
      `printPageOrder` - the new prints the page order

  - ### getScaleTo

    public int getScaleTo()
    Specifies that a document is to be scaled to a percentage value. A value of 100% means no scaling. When using this attribute, all pages are enlarged or reduced in size while printing.
    Returns:
      the scale to

  - ### setScaleTo

    public void setScaleTo​(int scaleTo)
    Specifies that a document is to be scaled to a percentage value. A value of 100% means no scaling. When using this attribute, all pages are enlarged or reduced in size while printing.
    Parameters:
      `scaleTo` - the new scale to

  - ### getScaleToPages

    public int getScaleToPages()
    Gets the number of pages on which a document should be printed. The document is scaled to fit the defined number of pages.
    Returns:
      the scale to pages

  - ### setScaleToPages

    public void setScaleToPages​(int scaleToPages)
    Sets the number of pages on which a document should be printed. The document is scaled to fit the defined number of pages.
    Parameters:
      `scaleToPages` - the new scale to pages

  - ### getTableCentering

    public TableCentering getTableCentering()
    Specifies whether tables are centered horizontally and/or vertically on the page.
    Returns:
      the table centering

  - ### setTableCentering

    public void setTableCentering​(TableCentering tableCentering)
    Specifies whether tables are centered horizontally and/or vertically on the page.
    Parameters:
      `tableCentering` - the new table centering

  - ### getFootnoteMaxHeight

    public Size getFootnoteMaxHeight()
    Gets the maximum amount of space on a page that a footnote can occupy.
    Returns:
      the footnote max height

  - ### setFootnoteMaxHeight

    public void setFootnoteMaxHeight​(Size footnoteMaxHeight)
    Sets the maximum amount of space on a page that a footnote can occupy.
    Parameters:
      `footnoteMaxHeight` - the new footnote max height

  - ### getWritingMode

    public WritingMode getWritingMode()
    Gets the writing mode of the page.
    Returns:
      the writing mode

  - ### setWritingMode

    public void setWritingMode​(WritingMode writingMode)
    Sets the writing mode of the page.
    Parameters:
      `writingMode` - the new writing mode

  - ### getFirstPageNumber

    public String getFirstPageNumber()
    Gets the number of a document.
    Returns:
      the first page number

  - ### setFirstPageNumber

    public void setFirstPageNumber​(String firstPageNumber)
    Sets the number of a document.
    Parameters:
      `firstPageNumber` - the new first page number

  - ### getLayoutGridMode

    public LayoutGridMode getLayoutGridMode()
    Enables Asian layout grids.
    Returns:
      the layout grid mode

  - ### setLayoutGridMode

    public void setLayoutGridMode​(LayoutGridMode layoutGridMode)
    Enables Asian layout grids.
    Parameters:
      `layoutGridMode` - the new layout grid mode

  - ### getLayoutGridBaseHeight

    public Size getLayoutGridBaseHeight()
    Gets the height reserved in layout grid lines for non-ruby text.
    Returns:
      the layout grid base height

  - ### setLayoutGridBaseHeight

    public void setLayoutGridBaseHeight​(Size layoutGridBaseHeight)
    Sets the height reserved in layout grid lines for non-ruby text.
    Parameters:
      `layoutGridBaseHeight` - the new layout grid base height

  - ### getLayoutGridRubyHeight

    public Size getLayoutGridRubyHeight()
    Gets the height reserved in layout grid lines for ruby text.
    Returns:
      the layout grid ruby height

  - ### setLayoutGridRubyHeight

    public void setLayoutGridRubyHeight​(Size layoutGridRubyHeight)
    Sets the height reserved in layout grid lines for ruby text.
    Parameters:
      `layoutGridRubyHeight` - the new layout grid ruby height

  - ### getLayoutGridLineCount

    public int getLayoutGridLineCount()
    Gets the number of layout grid lines per page.
    Returns:
      the layout grid line count

  - ### setLayoutGridLineCount

    public void setLayoutGridLineCount​(int layoutGridLineCount)
    Sets the number of layout grid lines per page.
    Parameters:
      `layoutGridLineCount` - the new layout grid line count

  - ### getLayoutGridColor

    public String getLayoutGridColor()
    Gets the color of layout grid border lines.
    Returns:
      the layout grid color

  - ### setLayoutGridColor

    public void setLayoutGridColor​(String layoutGridColor)
    Sets the color of layout grid border lines.
    Parameters:
      `layoutGridColor` - the new layout grid color

  - ### isLayoutGridRubyBelow

    public boolean isLayoutGridRubyBelow()
    Specifies whether ruby text is displayed above or below the base text.
    Returns:
      true, if is layout grid ruby below

  - ### setLayoutGridRubyBelow

    public void setLayoutGridRubyBelow​(boolean layoutGridRubyBelow)
    Specifies whether ruby text is displayed above or below the base text.
    Parameters:
      `layoutGridRubyBelow` - the new layout grid ruby below

  - ### isLayoutGridPrint

    public boolean isLayoutGridPrint()
    Specifies whether layout grid border lines are printed.
    Returns:
      true, if is layout grid print

  - ### setLayoutGridPrint

    public void setLayoutGridPrint​(boolean layoutGridPrint)
    Specifies whether layout grid border lines are printed.
    Parameters:
      `layoutGridPrint` - the new layout grid print

  - ### isLayoutGridDisplay

    public boolean isLayoutGridDisplay()
    Specifies whether layout grid border lines are displayed.
    Returns:
      true, if is layout grid display

  - ### setLayoutGridDisplay

    public void setLayoutGridDisplay​(boolean layoutGridDisplay)
    Specifies whether layout grid border lines are displayed.
    Parameters:
      `layoutGridDisplay` - the new layout grid display

  - ### getBackgroundImage

    public BackgroundImage getBackgroundImage()
    Gets the background image.
    Returns:
      the background image

  - ### setBackgroundImage

    public void setBackgroundImage​(BackgroundImage backgroundImage)
    Sets the background image.
    Parameters:
      `backgroundImage` - the new background image